"""An Analyzed Runner that does something at every time-step"""

from BasicRunner import BasicRunner
from StepAnalyzedCommon import StepAnalyzedCommon

from time import time

class StepAnalyzedRunner(StepAnalyzedCommon,BasicRunner):
    """The output of a command is analyzed while being run. At every time-step a command is performed"""
    
    def __init__(self,analyzer,argv=None,silent=False,logname="PyFoamSolve",smallestFreq=0.):
        """@param smallestFreq: the smallest intervall of real time (in seconds) that the time change is honored"""
        BasicRunner.__init__(self,argv,silent,logname)
        StepAnalyzedCommon.__init__(self,logname,analyzer,smallestFreq=smallestFreq)
        
    
