#! /usr/bin/env python 

description="""
runs an OpenFoam solver needs the usual 3 arguments (<solver>
<directory> <case>) and passes them on (plus additional arguments).
Output is sent to stdout and a logfile inside the case directory
(PyFoamSolver.logfile) Information about the residuals is output as
graphs
"""

from PyFoam.Basics.FoamOptionParser import FoamOptionParser

parse=FoamOptionParser(description=description)

parse.add_option("--frequency",type="float",dest="frequency",default=1.,help="The frequency with which output should be generated (in seconds)")
parse.add_option("--persist",action="store_true",dest="persist",default=True,help="Gnuplot windows stay after interrupt")
parse.add_option("--non-persist",action="store_false",dest="persist",help="Gnuplot windows close after interrupt")
parse.add_option("--no-linear",action="store_false",default=True,dest="linear",help="Don't plot the linear solver convergence")
parse.add_option("--no-continuity",action="store_false",default=True,dest="cont",help="Don't plot the continuity info")
parse.add_option("--no-bound",action="store_false",default=True,dest="bound",help="Don't plot the bounding of variables")

parse.parse()

from PyFoam.Execution.GnuplotRunner import GnuplotRunner

opts=parse.getOptions()

run=GnuplotRunner(argv=parse.getArgs(),smallestFreq=opts.frequency,persist=opts.persist,plotLinear=opts.linear,plotCont=opts.cont,plotBound=opts.bound)

run.start()
