#! /usr/bin/env python 

description="""
Runs a OpenFoam Utility an analyzes the output.  Needs a regular
expression to look for.  The next 3 arguments are the usual OpenFoam
argumens (<solver> <directory> <case>) and passes them on (plus
additional arguments).  Output is sent to stdout and a logfile inside
the case directory (PyFoamUtility.logfile).  The Directory
PyFoamUtility.analyzed contains a file test with the information of
the regexp (the pattern groups).
"""

import sys,string

from PyFoam.Execution.UtilityRunner import UtilityRunner
from PyFoam.Basics.FoamOptionParser import FoamOptionParser

parse=FoamOptionParser(description=description)
parse.add_option("-r","--regexp",type="string",dest="regexp",help="The regular expression to look for")

parse.parse()

if parse.getOptions().regexp==None:
    parse.error("Regular expression needed")
    
run=UtilityRunner(argv=parse.getArgs())

run.add("test",parse.getOptions().regexp)

run.start()
